Package org.eclipse.ui.internal

# Interface ISelectionConversionService

All Known Implementing Classes:
  `SelectionConversionService`

public interface ISelectionConversionService

A service that is capable of converting a selection into resources.

This interface is only intended for use within the `org.eclipse.ui.workbench` and `org.eclipse.ui.ide` plug-ins.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`IStructuredSelection`
`convertToResources(IStructuredSelection originalSelection)`
Attempt to convert the elements in the passed selection into resources by asking each for its IResource property (iff it isn't already a resource).

## Method Details

### convertToResources

IStructuredSelection convertToResources(IStructuredSelection originalSelection)
Attempt to convert the elements in the passed selection into resources by asking each for its IResource property (iff it isn't already a resource). If all elements in the initial selection can be converted to resources then answer a new selection containing these resources; otherwise answer an empty selection.

Parameters:
  `originalSelection` - the original selection; must not be `null`.
Returns:
  the converted selection or an empty selection; never `null`.